> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get User Availability Schedule

GET https://api.calendly.com/user_availability_schedules/{uuid}

This will return the availability schedule of the given UUID.

> `availability:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/availability/get-user-availability-schedule

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required) — The UUID of the availability schedule.

## Response

### 200

OK

- `resource` (AvailabilitySchedule, required) — The availability schedule set by the user.

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Resource Not Found`
- `message` (enum, required)
  - Allowed values: `The server could not find the requested resource.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Resource Not Found`
- `message` (enum, required)
  - Allowed values: `The server could not find the requested resource.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Caller not authorized to perform this action or insufficient scope

- `Get-user-availability-scheduleRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Resource Not Found`
- `message` (enum, required)
  - Allowed values: `The server could not find the requested resource.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

Internal Server Error

- `any`

## Types

### AvailabilitySchedule

The availability schedule set by the user.

- `uri` (string, required) — A URI reference to this Availability Schedule.
- `default` (boolean, required) — This is the default Availability Schedule in use.
- `name` (string, required) — The name of this Availability Schedule.
- `user` (string, required) — A URI reference to a User.
- `timezone` (string, required) — The timezone for which this Availability Schedule is originated in.
- `rules` (list of AvailabilityRule, required) — The rules of this Availability Schedule.

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### UserNotInOrganizationError

Permission Denied or caller not authorized to perform this action

- `title` (enum, optional)
  - Allowed values: `Permission Denied`
- `message` (enum, optional)
  - Allowed values: `This user is not in your organization`

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### AvailabilityRule

The rules for an availability schedule.

- `type` (enum, required) — The type of this Availability Rule; can be "wday" or a specific "date".
  - Allowed values: `wday`, `date`
- `intervals` (list of AvailabilityRuleIntervalsItems, required) — The intervals to be applied to this Rule. Each interval represents when booking a meeting is allowed. If the interval array is empty, then there is no booking availability for that day. Time is in 24h format (i.e. "17:30") and local to the timezone in the Availability Schedule.
- `wday` (enum, optional) — The day of the week for which this Rule should be applied to.
  - Allowed values: `sunday`, `monday`, `tuesday`, `wednesday`, `thursday`, `friday`, `saturday`
- `date` (string, optional) — A specific date in the future that this should be applied to (i.e. "2030-12-31").

### AvailabilityRuleIntervalsItems

- `from` (string, optional) — Format: `"hh:mm"`
- `to` (string, optional) — Format: `"hh:mm"`

## Examples

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/user_availability_schedule/AAAAAAAAAAAAAAAA",
    "default": true,
    "name": "Working Hours",
    "user": "https://api.calendly.com/users/AAAAAAAAAAAAAAAA",
    "timezone": "America/New_York",
    "rules": [
      {
        "type": "wday",
        "intervals": [
          {
            "from": "08:30",
            "to": "09:30"
          }
        ],
        "wday": "sunday",
        "date": "2022-12-31"
      }
    ]
  }
}
```

**SDK Code**

```python Availability schedule
import requests

url = "https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Availability schedule
const url = 'https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Availability schedule
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Availability schedule
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Availability schedule
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Availability schedule
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Availability schedule
using RestSharp;

var client = new RestClient("https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Availability schedule
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/user_availability_schedules/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```